package cn.iocoder.yudao.module.system.service.dify;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.dify.vo.DifyWorkFlowRecordPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.dify.vo.DifyWorkFlowRecordRespVO;
import cn.iocoder.yudao.module.system.controller.admin.dify.vo.DifyWorkFlowRecordSaveReqVO;
import cn.iocoder.yudao.module.system.controller.admin.dify.vo.DifyWorkFlowRunReqVO;
import com.alibaba.fastjson.JSONObject;

public interface DifyWorkFlowRecordService {

    Long create(DifyWorkFlowRecordSaveReqVO createReqVO);

    void update(DifyWorkFlowRecordSaveReqVO updateReqVO);

    void delete(Long id);

    DifyWorkFlowRecordRespVO get(Long id);

    PageResult<DifyWorkFlowRecordRespVO> getPage(DifyWorkFlowRecordPageReqVO pageReqVO);

    JSONObject workflowRun(DifyWorkFlowRunReqVO reqVO);
}
